<html><body style="word-wrap: break-word; -webkit-nbsp-mode: space; -webkit-line-break: after-white-space; ">Thanks,<div>but not sure where this gets me.</div><div>Do I first write all this stuff to set up the environment and then build and install mod_mono, make and make install like this:</div><div><br></div><div><blockquote type="cite">PKG_CONFIG_PATH="/opt/local/lib/pkgconfig" CFLAGS="-m64" ./configure<br></blockquote><blockquote type="cite">--prefix=/Library/Frameworks/Mono.framework/Versions/Current<br></blockquote><blockquote type="cite">make<br></blockquote><blockquote type="cite">sudo make install</blockquote><div><br></div><div>Since I get this error, does it mean I have problems with wrong architecture?</div><div>I see also that in &nbsp;<b>/usr/libexec/apache2 </b>I have the mod_mono.so but it points to nothing. Is this correct?</div><div><br></div><div><b>lrwxr-xr-x &nbsp;1 root &nbsp;wheel &nbsp; &nbsp; &nbsp; &nbsp;17 Aug 18 16:24 mod_mono.so -&gt; mod_mono.0.0.0.so</b></div><div>(mod_mono.0.0.0.so does not exist!)</div><div><br></div><div><br></div>/asle</div><div><br><div><div>Den 18. aug.. 2009 kl. 17.04 skrev Andrew Satori:</div><br class="Apple-interchange-newline"><blockquote type="cite"><div>You've done alot of not needed work.<br><br><br>The trick is setting the build environment up first. &nbsp;You just have to &nbsp;<br>ensure that you have your environment correct.<br><br>export SDK=/Developer/SDKs/MacOSX10.5.sdk<br>export CFLAGS="-O -mmacosx-version-min=10.5 -arch ppc64 -arch x86_64 - <br>isysroot $SDK"<br>export LDFLAGS="-arch x86_64 -arch ppc64 "<br>export LD="gcc -mmacosx-version-min=10.4 -isysroot $SDK -nostartfiles - <br>arch x86_64 -arch ppc64"<br><br><br>This will get your basic 64bit environment set, but then you have to &nbsp;<br>make the mod_mono specific tweaks. &nbsp;configure won't find glib-2.0. &nbsp;&nbsp;<br>You have to build it in the 64 bit environment, though iconv is 64bit &nbsp;<br>in /usr/lib, so that should get you where you need to be.<br><br><br><br><br>On Aug 18, 2009, at 10:23 AM, Andrew Satori wrote:<br><br><blockquote type="cite">Are the glib-2.0 pc files not included in the framework anymore ?<br></blockquote><blockquote type="cite"><br></blockquote><blockquote type="cite">On Aug 17, 2009, at 7:41 PM, eto wrote:<br></blockquote><blockquote type="cite"><br></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">Hi asleB,<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">Looks like you need to uninstall &amp; re-build libiconv. &nbsp;Note that<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">it's not<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">JUST libtool and glib2 that need to be built for x64, it's ALL<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">dependant<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">libraries as well.<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">You have a few choices: uninstall all macports manually then re-<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">install<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">them, or wipe your macports and install fresh, since nothing would<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">have been<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">compiled in 64 bit anyway.<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">Hope this helps!<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">Curtis.<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">asleB wrote:<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">Hello,<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">I wonder if anyone here could spare a little time to help me get<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">mod_mono configured with my Apache.<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">I am willing to pay to fix this!<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">/asle<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">Den 14. aug.. 2009 kl. 19.45 skrev Asle Benoni:<br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">Hello,<br></blockquote></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">I think I progressed much here. I was able to uninstall old &nbsp;<br></blockquote></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">packages<br></blockquote></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">so that I could be X64 packages. First of all I think the clue was<br></blockquote></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">to get uninstall and install libtool and glib2. What a mess it was,<br></blockquote></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">I don' even remember now all I did.<br></blockquote></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">Anyway I downloaded mod_mono source and did the configure stuff but<br></blockquote></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><blockquote type="cite">it fails on make &nbsp;with this error. I am not sure how to fix it:<br></blockquote></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">-- <br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">View this message in context: <a href="http://www.nabble.com/Re%3A-Getting-Mono-to-work-with-Apache-in-Mac-OS-X-Leopard-tp24971800p25016194.html">http://www.nabble.com/Re%3A-Getting-Mono-to-work-with-Apache-in-Mac-OS-X-Leopard-tp24971800p25016194.html</a><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">Sent from the Mono - OSX mailing list archive at Nabble.com.<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">_______________________________________________<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite">Mono-osx mailing list<br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><a href="mailto:Mono-osx@lists.ximian.com">Mono-osx@lists.ximian.com</a><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><a href="http://lists.ximian.com/mailman/listinfo/mono-osx">http://lists.ximian.com/mailman/listinfo/mono-osx</a><br></blockquote></blockquote><blockquote type="cite"><blockquote type="cite"><br></blockquote></blockquote><blockquote type="cite"><br></blockquote><blockquote type="cite">_______________________________________________<br></blockquote><blockquote type="cite">Mono-osx mailing list<br></blockquote><blockquote type="cite"><a href="mailto:Mono-osx@lists.ximian.com">Mono-osx@lists.ximian.com</a><br></blockquote><blockquote type="cite"><a href="http://lists.ximian.com/mailman/listinfo/mono-osx">http://lists.ximian.com/mailman/listinfo/mono-osx</a><br></blockquote><blockquote type="cite"><br></blockquote><br>_______________________________________________<br>Mono-osx mailing list<br><a href="mailto:Mono-osx@lists.ximian.com">Mono-osx@lists.ximian.com</a><br>http://lists.ximian.com/mailman/listinfo/mono-osx<br></div></blockquote></div><br></div></body></html>